/**
 * WorkSpace
 *
 * A canvas to display an Oct hierarchy
 *
 * @version $Id$
 * @author  Michael Shilman <michaels@eecs.berkeley.edu>
 */

import java.awt.*;
import java.util.Vector;
import java.util.Random;

public class WorkSpace extends Canvas {
    OctCell m_design = null;
    boolean m_display = false;

    public WorkSpace() {
        super();
        setBackground(Color.black);
    }

    public void setDesign(OctCell design) {
        m_design = design;
    }

    void display(boolean val) {
        m_display = val;
        repaint();
    }

    public void update(Graphics g) {
        paint(g);
    }

    public synchronized void paint(Graphics g) {
        if(m_display) {
            //drawing code here
        }
        super.paint(g);
    }
}

